2008-08-19 10:34:11     problem compiling kaffe

Document created by Aaronwu Employee on Aug 7, 2013
Version 1Show Document
  • View in full screen mode

2008-08-19 10:34:11     problem compiling kaffe

Jeff Hepba (UNITED STATES)

Message: 60648   

 

Hi folks.

 

I've been trying to compile kaffe for blackfin uclinux for several days. It's been one hurdle after another, but I'm slowly making progress. I'm following the instructions on this page:

 

http://docs.blackfin.uclinux.org/doku.php?id=run_java_application_on_stamp_board

 

Anyway, I'm now cross-compiling kaffe, and I get this error:

 

< output snipped >

 

bfin-uclinux-gcc -Wall -W -Wextra -fno-strict-aliasing -fno-omit-frame-pointer -fsigned-char -D__UCLIBC__ -D__unix__ -DKAFFEMD_BUGGY_STACK_OVERFLOW -DKAFFE_VMDEBUG -D_SCALB_INT -Wl,-elf2flt -pthread -g -O2 -o kaffe-bin main.o version.o .libs/kaffe-binS.o -Wl,--export-dynamic  -L/opt/external_packages/zlib/1.2.3/uclinux/lib -L/opt/external_packages/libtool/1.5.26/uclinux/lib -L/opt/external_packages/zziplib/0.13.49/uclinux/lib ../../kaffe/kaffevm/.libs/libkaffevm.a ../../kaffe/kaffevm/.libs/libkaffe.a -lm /opt/external_packages/zziplib/0.13.49/uclinux/lib/libzzip.a -lz -lglib-2.0 ../../replace/.libs/libreplace.a /opt/external_packages/libtool/1.5.26/uclinux/lib/libltdl.a   -Wl,--rpath -Wl,/opt/external_packages/zlib/1.2.3/uclinux/lib -Wl,--rpath -Wl,/opt/external_packages/libtool/1.5.26/uclinux/lib -Wl,--rpath -Wl,/opt/external_packages/zziplib/0.13.49/uclinux/lib

/home/ramin/blackfin-toolchain-08r1.5-14/buildToolChainOutput-uclinux/bin/../lib/gcc/bfin-uclinux/4.1.2/../../../../bfin-uclinux/bin/ld.real: cannot find -lglib-2.0

collect2: ld returned 1 exit status

rm -f .libs/kaffe-binS.o

make[2]: *** [kaffe-bin] Error 1

make[2]: Leaving directory `/usr/local/downloads/kaffe-1.1.9.forUCLinux/kaffe/kaffe'

make[1]: *** [all-recursive] Error 1

make[1]: Leaving directory `/usr/local/downloads/kaffe-1.1.9.forUCLinux/kaffe'

make: *** [all-recursive] Error 1

 

 

 

I've searched the web for hints, but haven't found anything. Anybody know what might be causing this problem? Do I need to cross-compile glib?

 

Thanks!

QuoteReplyEditDelete

 

 

2008-08-19 11:13:55     Re: problem compiling kaffe

Mike Frysinger (UNITED STATES)

Message: 60655   

 

be better to try and figure out how to disable glib support ... glib-2.x isnt friendly to non-locale systems

QuoteReplyEditDelete

 

 

2008-08-19 11:33:25     Re: problem compiling kaffe

Jeff Hepba (UNITED STATES)

Message: 60656   

 

Does anybody know how to disable glib for kaffe? I've looked through the configure script and don't see anything obvious...

 

Thanks Mike.

QuoteReplyEditDelete

 

 

2008-08-20 11:29:43     Re: problem compiling kaffe

Mike Frysinger (UNITED STATES)

Message: 60768   

 

it would seem glib-2 is a requirement for kaffe-1.1.9 ... you may want to try kaffe-1.1.8 in that case ...

QuoteReplyEditDelete

 

 

2008-08-20 11:44:49     Re: problem compiling kaffe

Jeff Hepba (UNITED STATES)

Message: 60769   

 

Yes, apparently so. I've been spending the last day trying to get glib (and the libraries it depends on) compiled. If I don't have success soon, I may fall back to kaffe-1.1.8.

Attachments

    Outcomes